Issue 97377 - OK is inactive after draging 'Form Controls' to change its 'Tab Order'
Summary: OK is inactive after draging 'Form Controls' to change its 'Tab Order'
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: ui (show other issues)
Version: DEV300m37
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: marc.neumann
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 84405
  Show dependency tree
 
Reported: 2008-12-18 02:36 UTC by amy2008
Modified: 2009-09-03 18:36 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description amy2008 2008-12-18 02:36:49 UTC
Can reproduce it in Drawing and Impress with DEV300m37 on WinXP and Ubuntu

How to reproduce it
1 Open a new Drawing or Impress file
2 View - Toolbars - check Form controls
3 Add three controls to the Drawing document, such as 'Check box', 'Optional
  button','Text box'
4 Right-click any one control and choose 'Control', a dialog opens
5 Hit the button on the right of 'Tab order', 'Tab order' dialog opens, select
  the third one control and drag it the place between the first one and the
  second one

Result
On the 'Tab order' dialog, 'OK' button  is inactive after step 5

Expectation
After step 5, 'OK' button is active.

Note
if select the third control and then click 'Move Up' button, 'OK' button is 
active. So, I think it should be the same effect.

Regards
Li Meiying
Comment 1 eduardorap 2008-12-30 01:48:29 UTC
Can reproduce it on Base too (300m9 - Vista).
1 - Edit a form
2 - Right click a field => Control... => Tab order (...)
3 - Drag any control
Result: "Ok" button still disabled.
Comment 2 wolframgarten 2009-01-05 13:15:36 UTC
Reproducible. Reassigned.
Comment 3 Frank Schönheit 2009-01-09 12:15:08 UTC
fixed in CWS dba32a

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba32a
Comment 4 Frank Schönheit 2009-02-26 12:14:49 UTC
fs->msc: please verify in CWS dba32a
Comment 5 Frank Schönheit 2009-02-26 12:33:08 UTC
targeting to 3.2, since the fix is part of a CWS aiming for this release
Comment 6 marc.neumann 2009-04-02 10:50:57 UTC
verified in CWS dba32a

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba32a
Comment 7 amy2008 2009-07-22 02:16:43 UTC
Verified in DEV300m52 on WinXP
Closing
Comment 8 nrcuster 2009-09-03 18:36:46 UTC
Same problem exists in the tab order dialog in Base application when first
entering the tab order dialog when editing fields on a form.